Error log, need help understand and fix

Nextcloud version (eg, 20.0.5): 24.0.6
Operating system and version (eg, Ubuntu 20.04): Dietpi v8.9.2
Apache or nginx version (eg, Apache 2.4.25): Lighttpd v1.4.59
PHP version (eg, 7.4): 7.4.30

The issue you are facing:
Error in log files

Is this the first time you’ve seen this error? (Y/N):
Yes

Hi,
Can anyone help me out, I receive these errors in the log.

[webdav] Fatal: TypeError: Argument 2 passed to OCA\Files_Versions\Command\Expire::__construct() must be of the type string, null given, called in /var/www/nextcloud/apps/files_versions/lib/Storage.php on line 743 at <>

  1. /var/www/nextcloud/apps/files_versions/lib/Storage.php line 743
    OCA\Files_Versions\Command\Expire->__construct()
  2. /var/www/nextcloud/apps/files_versions/lib/Versions/LegacyVersionsBackend.php line 90
    OCA\Files_Versions\Storage::scheduleExpire()
  3. /var/www/nextcloud/apps/files_versions/lib/Versions/VersionManager.php line 92
    OCA\Files_Versions\Versions\LegacyVersionsBackend->createVersion()
  4. /var/www/nextcloud/apps/files_versions/lib/Storage.php line 230
    OCA\Files_Versions\Versions\VersionManager->createVersion()
  5. /var/www/nextcloud/apps/files_versions/lib/Hooks.php line 56
    OCA\Files_Versions\Storage::store()
  6. /var/www/nextcloud/lib/private/legacy/OC_Hook.php line 106
    OCA\Files_Versions\Hooks::write_hook()
  7. /var/www/nextcloud/apps/dav/lib/Connector/Sabre/File.php line 449
    OC_Hook::emit()
  8. /var/www/nextcloud/apps/dav/lib/Connector/Sabre/File.php line 178
    OCA\DAV\Connector\Sabre\File->emitPreHooks()
  9. /var/www/nextcloud/3rdparty/sabre/dav/lib/DAV/Server.php line 1137
    OCA\DAV\Connector\Sabre\File->put()
  10. /var/www/nextcloud/3rdparty/sabre/dav/lib/DAV/CorePlugin.php line 492
    Sabre\DAV\Server->updateFile(“*** sensitive parameters replaced ***”)
  11. /var/www/nextcloud/3rdparty/sabre/event/lib/WildcardEmitterTrait.php line 89
    Sabre\DAV\CorePlugin->httpPut()
  12. /var/www/nextcloud/3rdparty/sabre/dav/lib/DAV/Server.php line 472
    Sabre\DAV\Server->emit()
  13. /var/www/nextcloud/3rdparty/sabre/dav/lib/DAV/Server.php line 253
    Sabre\DAV\Server->invokeMethod()
  14. /var/www/nextcloud/3rdparty/sabre/dav/lib/DAV/Server.php line 321
    Sabre\DAV\Server->start()
  15. /var/www/nextcloud/apps/dav/lib/Server.php line 358
    Sabre\DAV\Server->exec()
  16. /var/www/nextcloud/apps/dav/appinfo/v2/remote.php line 35
    OCA\DAV\Server->exec()
  17. /var/www/nextcloud/remote.php line 166
    require_once(“/var/www/nextcl … p”)

PUT /nextcloud/remote.php/dav/files/Yani/BERKAS%20YANI/Rekapan/LG/2018/dateng%20barang/Oktober/KMJ/T06EV4%2020UNIT/810HAAL29144.jpeg
from 10.0.0.7 by Yani at 2022-10-13T06:45:32+00:00

Thank you.

2 Likes

My users are getting the same error when overwriting files

Hello Glad0Skar,

Thanks for the reply, I was wondering if you know how to remedy this issue.

Thank you.

Sorry, no idea. My solution will be to update to 25.0.0 and hope for the best, but that might have its own problems

Hello vcooper,
My users also had the same error after update to 24.0.6. As a quick (and dirty) fix, I had to disable the Versions app. Let’s hope 25.0.0 fixes the problem.